Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.therlink.session.impl
Class TherLinkServiceImpl

    java.lang.Object
      be.ehealth.businessconnector.therlink.session.impl.TherLinkServiceImpl

All Implemented Interfaces:
  TherLinkService

    public class TherLinkServiceImpl

extends Object
implements TherLinkService

Implementation for `TherLinkService`

Constructor Summary
`TherLinkServiceImpl()`

Method Summary
`GetTherapeuticLinkResponse` | `getTherapeuticLink(GetTherapeuticLinkRequest request)` Get a therapeutic link
`HasTherapeuticLinkResponse` | `hasTherapeuticLink(HasTherapeuticLinkRequest request)` Check if a therapeutic link exists between the patient and healthcare party
`PutTherapeuticLinkResponse` | `putTherapeuticLink(PutTherapeuticLinkRequest request)` Put a therapeutic link
`RevokeTherapeuticLinkResponse` | `revokeTherapeuticLink(RevokeTherapeuticLinkRequest request)` Revoke a therapeutic link

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TherLinkServiceImpl

    public TherLinkServiceImpl()
                        throws TechnicalConnectorException

Throws:
  `TechnicalConnectorException`

Method Detail

### putTherapeuticLink

    public PutTherapeuticLinkResponse putTherapeuticLink(PutTherapeuticLinkRequest request)
                                                  throws TherLinkBusinessConnectorException,
                                                         TechnicalConnectorException

  Description copied from interface: `TherLinkService`
  Put a therapeutic link

  Specified by:
    `putTherapeuticLink` in interface `TherLinkService`
  Parameters:
    `request` - the putTherapeuticLink request
  Returns:
    the putTherapeuticLink response
  Throws:
    `TherLinkBusinessConnectorException`
    `TechnicalConnectorException`

### getTherapeuticLink

    public GetTherapeuticLinkResponse getTherapeuticLink(GetTherapeuticLinkRequest request)
                                                  throws TechnicalConnectorException,
                                                         TherLinkBusinessConnectorException

  Description copied from interface: `TherLinkService`
  Get a therapeutic link

  Specified by:
    `getTherapeuticLink` in interface `TherLinkService`
  Parameters:
    `request` - the getTherapeuticLink request
  Returns:
    the response
  Throws:
    `TechnicalConnectorException`
    `TherLinkBusinessConnectorException`

### revokeTherapeuticLink

    public RevokeTherapeuticLinkResponse revokeTherapeuticLink(RevokeTherapeuticLinkRequest request)
                                                        throws TechnicalConnectorException,
                                                               TherLinkBusinessConnectorException

  Description copied from interface: `TherLinkService`
  Revoke a therapeutic link

  Specified by:
    `revokeTherapeuticLink` in interface `TherLinkService`
  Parameters:
    `request` - the request
  Returns:
    the response
  Throws:
    `TechnicalConnectorException`
    `TherLinkBusinessConnectorException`

### hasTherapeuticLink

    public HasTherapeuticLinkResponse hasTherapeuticLink(HasTherapeuticLinkRequest request)
                                                  throws TechnicalConnectorException,
                                                         TherLinkBusinessConnectorException

  Description copied from interface: `TherLinkService`
  Check if a therapeutic link exists between the patient and healthcare party

  Specified by:
    `hasTherapeuticLink` in interface `TherLinkService`
  Parameters:
    `request` - the request
  Returns:
    the response
  Throws:
    `TechnicalConnectorException`
    `TherLinkBusinessConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.